// PagerDemoView.h : interface of the CPagerDemoView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_PAGERDEMOVIEW_H__790EB20C_2913_11D3_ABAE_94F400C10000__INCLUDED_)
#define AFX_PAGERDEMOVIEW_H__790EB20C_2913_11D3_ABAE_94F400C10000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define CSplitterWnd	CCJFlatSplitterWnd

class CPagerDemoView : public CView
{
protected: // create from serialization only
	CPagerDemoView();
	DECLARE_DYNCREATE(CPagerDemoView)

// Attributes
public:
	CPagerDemoDoc* GetDocument();

// Operations
public:
	CSplitterWnd	m_wndSplitter;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPagerDemoView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CPagerDemoView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CPagerDemoView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in PagerDemoView.cpp
inline CPagerDemoDoc* CPagerDemoView::GetDocument()
   { return (CPagerDemoDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PAGERDEMOVIEW_H__790EB20C_2913_11D3_ABAE_94F400C10000__INCLUDED_)
