#if !defined(AFX_CCCCONTACTSVIEW_H__3D308266_1A9C_11D4_89A6_00609708DCFE__INCLUDED_)
#define AFX_CCCCONTACTSVIEW_H__3D308266_1A9C_11D4_89A6_00609708DCFE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// cccContactsView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// cccContactsView form view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif

class cccContactsView : public CFormView, public ccNonDBCtrl
{
protected:
	cccContactsView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(cccContactsView)

// Form Data
public:
	//{{AFX_DATA(cccContactsView)
	enum { IDD = IDD_CONTACTS_VIEW };
	CListCtrl	m_grid;
	//}}AFX_DATA

// *** Attributes
public:
	//
	//
	cccVODB* __getDB(void)			{ return m_oDB;				};
	void setDB( cccVODB* aoCCVO)	{ m_oDB = aoCCVO;			};

private:
	cccVODB  *m_oDB;


// Operations
public:	
	void openSelectedContact();
	void insertRow(int nRow, LPCSTR strName, LPCSTR strEMail, LPCSTR strBusPhone, LPCSTR strHomePhone);
	void fillGrid();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(cccContactsView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

	virtual void refresh()			{						};
	virtual void OnDeleteComplete() {	fillGrid();			};
	virtual void OnSaveComplete()	{	fillGrid();			};


// Implementation
protected:
	virtual ~cccContactsView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
	//{{AFX_MSG(cccContactsView)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnDblclkContactsGrid(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReturnContactsGrid(NMHDR* pNMHDR, LRESULT* pResult);	
	afx_msg void OnKeydownContactsGrid(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CCCCONTACTSVIEW_H__3D308266_1A9C_11D4_89A6_00609708DCFE__INCLUDED_)
