// ==========================================================================
//                    Class Specification : ccdbFormView
// ==========================================================================
//////////////////////////////////////////////////////////////////////
// $File name   : /ccLib/dev/ccdbLib/ccdbFormView.h: 
//
// $Author      : Daniel Lindh (Daniel.Lindh@home.se)
// $HomePage    : home.bip.net/CyberCow
// $ICQ         : 7983755
//
// Notice       : Copyright (c) CyberCow 1999
//                Knypplerskevagen 24
//                168 38 BROMMA
//                SWEDEN  
//                tel int + 46 (8) 26 45 95
//                
//                The copyright to the computer program(s) herein is the 
//				  property of CyberCow.The program(s) may be used and/or 
//				  copied only with the written permission of CyberCow or 
//				  in accordance with the terms and conditions stipulated 
//				  in the agreement/contract under which the program(s) 
//				  have been supplied. 
//
/////////////////////////////////////////////////////////////////////////////
///** $History$ *************************************************************
// *
// * $Date: 9/27/99 11:35 $
// * $Revision: 1 $
// * 
// * *****************  Version 1  *****************
// * User: Daniel Date: 9/27/99 11:35
// * Source-Code Traced [ ]; Reviewd [ ] 
// * Created in $/ccLib/dev/ccdbLib
// * Initial release.
// * 
// **************************************************************************
/////////////////////////////////////////////////////////////////////////////
// ** $Properties$ **********************************************************
// * [X] Abstract class (does not have any objects)
// * [ ] Uses exceptions
// **************************************************************************
/////////////////////////////////////////////////////////////////////////////
/*
$Description : 
	FormView used when using dataDictionary. Supporting toolbars etc.

*/
/////////////////////////////////////////////////////////////////////////////
#ifndef __CCDBFORMVIEW_H__
#define __CCDBFORMVIEW_H__


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif

#include "resource.h"
#include "ccddCtrlContainer.h"



class AFX_EXT_CLASS ccdbFormView : public CFormView, public ccddCtrlContainer
{
// *** Construction
public:	          
	DECLARE_DYNAMIC(ccdbFormView)	

protected:
	// Default constructor
	//
	ccdbFormView(UINT nIDTemplate, ccDataBase* aDB = NULL );

// *** Form Data
public:
	//{{AFX_DATA(ccdbFormView)	
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

// *** Overrides
public:
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(ccdbFormView)
	protected:	
	//}}AFX_VIRTUAL

// *** ccdbFormView diagnostics
protected:

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

// *** Generated message map functions
public:
	//{{AFX_MSG(ccdbFormView)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // __CCDBFORMVIEW_H__
