//////////////////////////////////////////////////////////////////////
// $File name   : ccdbSuperCtrl_CheckBox.cpp
//
// $Author      : Daniel Lindh (Daniel.Lindh@home.se)
// Notice       : Copyright (c) CyberCow 1999
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "resource.h"
#include "ccdbSuperCtrl_CheckBox.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// *** Construction
/////////////////////////////////////////////////////////////////////////////

ccdbSuperCtrl_CheckBox::ccdbSuperCtrl_CheckBox()
{
}

/////////////////////////////////////////////////////////////////////////////
// *** Destruction
/////////////////////////////////////////////////////////////////////////////

ccdbSuperCtrl_CheckBox::~ccdbSuperCtrl_CheckBox()
{
}

/////////////////////////////////////////////////////////////////////////////
// *** Generated message map functions
/////////////////////////////////////////////////////////////////////////////

BEGIN_MESSAGE_MAP(ccdbSuperCtrl_CheckBox, CButton)
	//{{AFX_MSG_MAP(ccdbSuperCtrl_CheckBox)
	ON_WM_SETFOCUS()
	ON_WM_KILLFOCUS()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//

void ccdbSuperCtrl_CheckBox::OnSetFocus(CWnd* pOldWnd) 
{
	CButton::OnSetFocus(pOldWnd);
	DWORD wParam;
	wParam =  EN_SETFOCUS <<16;
	wParam += ID_CCDBSUPERCTRL_CHECK_BOX;
	DWORD lParam;
	lParam = (unsigned long)this->m_hWnd;
	GetParent()->SendMessage( WM_COMMAND,wParam, lParam);
}

//

void ccdbSuperCtrl_CheckBox::OnKillFocus(CWnd* pNewWnd) 
{
	CButton::OnKillFocus(pNewWnd);
	DWORD wParam;
	wParam =  EN_KILLFOCUS <<16;
	wParam += ID_CCDBSUPERCTRL_CHECK_BOX;
	DWORD lParam;
	lParam = (unsigned long)this->m_hWnd;
	GetParent()->SendMessage( WM_COMMAND,wParam, lParam);
}
