//////////////////////////////////////////////////////////////////////
// ==========================================================================
//                    Class Specification : ccFlatSplitterWnd
// ==========================================================================
//////////////////////////////////////////////////////////////////////
// $File name   : /ccLib/dev/ccgLib/ccFlatSplitterWnd.h
//
// $Author      : Daniel Lindh (Daniel.Lindh@home.se)
// $HomePage    : home.bip.net/CyberCow
// $ICQ         : 7983755
//
// Notice       : Copyright (c) CyberCow 1999
//                Knypplerskevagen 24
//                168 38 BROMMA
//                SWEDEN  
//                tel int + 46 (8) 26 45 95
//                
//                The copyright to the computer program(s) herein is the 
//				  property of CyberCow.The program(s) may be used and/or 
//				  copied only with the written permission of CyberCow or 
//				  in accordance with the terms and conditions stipulated 
//				  in the agreement/contract under which the program(s) 
//				  have been supplied. 
//
/////////////////////////////////////////////////////////////////////////////
///** $History$ *************************************************************
// *
// * $Date: 9/03/99 10:17 $
// * $Revision: 11 $
// * 
// * *****************  Version 1  *****************
// * User: Daniel Date: 9/23/99 15:20
// * Source-Code Traced [X]; Reviewd [X] 
// * Created in $/ccLib/dev/ccgLib
// * Initial release.
// * 
// **************************************************************************
/////////////////////////////////////////////////////////////////////////////
// ** $Properties$ **********************************************************
// * [ ] Abstract class (does not have any objects)
// * [ ] Uses exceptions
// **************************************************************************
/////////////////////////////////////////////////////////////////////////////
/*
$Description : 

  A CCJFlatSplitterWnd dervied class. The CyberCow class has a better
  function for Switching View.
*/
/////////////////////////////////////////////////////////////////////////////

#ifndef __CCFLATSPLITTERWND_H__
#define __CCFLATSPLITTERWND_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class AFX_EXT_CLASS ccFlatSplitterWnd : public  CCJFlatSplitterWnd
{
// *** Operations
public:
	// this member function is called to replace an existing splitter
	// view with another.
	//
	BOOL ReplaceView(int nRow, int nCol, CRuntimeClass *pViewClass, BOOL bAlwaysDeleteOldView = TRUE);

// *** Overrides
public:
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(ccFlatSplitterWnd)
	virtual void OnDrawSplitter(CDC* pDC, ESplitType nType, const CRect& rect);
	//}}AFX_VIRTUAL

// *** Generated message map functions
protected:
	//{{AFX_MSG(ccFlatSplitterWnd)	
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif __CCFLATSPLITTERWND_H__
