// ccRegistry.cpp: implementation of the ccRegistry class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "ccglib.h"
#include "codeguru\\registry.h"
#include "ccRegistry.h"
#include "ccException.h"
#include "ccString.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

ccRegistry::ccRegistry()
{

}

//

ccRegistry::~ccRegistry()
{

}

//

void ccRegistry::openCreate(HKEY hKey, LPCTSTR lpszPath)
{
	if (VerifyKey(hKey, lpszPath))
	{
		if ( !Open(hKey, lpszPath) )
		{
			ccString strError;
			strError << "Couldn't create regkey " << lpszPath;
			ccThrowccException( strError );
		}
	}
	else
	{
		if ( !CreateKey(hKey, lpszPath) )		
		{
			ccString strError;
			strError << "Couldn't create regkey " << lpszPath;
			ccThrowccException( strError );
		}
	}
	
}

//

void ccRegistry::readWriteString(LPCTSTR lpszKey, CString& sData, LPCTSTR strNewValue)
{		
	sData = strNewValue;
	if ( !ReadString( lpszKey, sData) )
	{		
		if ( !WriteString( lpszKey, sData ) )
		{
			ccString strError;
			strError << "Couldn't create regkey " << lpszKey << ". With value " << strNewValue;
			ccThrowccException( strError );
		}
	}			
}