#ifndef __CCGLIB10_H__
#define __CCGLIB10_H__

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#ifndef __AFXTEMPL_H__
#include <afxtempl.h>
#endif

#ifndef __AFXPRIV_H__
#include <afxpriv.h>
#endif

#ifdef _AFXDLL
#ifdef _DEBUG
#pragma comment(lib,"CCGLIB10d.lib") 
#pragma message("Automatically linking with CCGLIB10d.dll")
#else
#pragma comment(lib,"CCGLIB10.lib") 
#pragma message("Automatically linking with CCGLIB10.dll") 
#endif
#else
#ifdef _DEBUG
#pragma comment(lib,"CCGLIB10StaticLibd.lib") 
#pragma message("Automatically linking with CCGLIB10StaticLibd.lib") 
#else
#pragma comment(lib,"CCGLIB10StaticLib.lib") 
#pragma message("Automatically linking with CCGLIB10StaticLib.lib") 
#endif
#endif

#include "resource.h"
// CodeJockey
#include "CJLibrary.h"


/* JE Classes */
#ifndef __JEDEBUG__
#include ".\\JE\\JEDEBUG.H"
#endif

/* Classes from www.CodeGuru.com*/
#ifndef __MEMDC_H__
#include "CODEGURU\\CMEMDC.H"
#endif

#ifndef _BTNST_H
#include "CODEGURU\\BTNST.H"
#endif

#ifndef __HYPERLINK_H__
#include "CODEGURU\\HYPERLINK.H"
#endif

#ifndef __CGOODTIME_H__
#include "CODEGURU\\GOODTIME.H"
#endif

#ifndef __CREGISTRY_H__
#include "CODEGURU\\Registry.h"
#endif

/* Classes from www.CodeProject.com*/
#ifndef __LBTABCTRL_H__
#include "CODEPROJECT\\LBTabCtrl.h"
#endif


/* My own classes */

#ifndef  __CCGLIB_H__
#include "CCGLIB.H"
#endif

#ifndef __CCTRACEFILE_H__
#include "CCTRACEFILE.H"
#endif

#ifndef __CCERROR_H__
#include "CCERROR.H"
#endif

#ifndef __CCSTRING_H__
#include "CCSTRING.H"
#endif

#ifndef __CCTIME_H__
#include "CCTIME.H"
#endif

#ifndef __CCMENUBUTTON_H__
#include "CCMENUBUTTON.H"
#endif

#ifndef __CCEDIT_H__
#include "CCEDIT.H"
#endif

#ifndef __CCFLATSPLITTERWND_H__
#include "ccFlatSplitterWnd.h"
#endif

#ifndef __CCEXCEPTION_H__
#include "ccException.h"
#endif

#ifndef __CCPROPERTYSHEET_H__
#include "ccPropertySheet.h"
#endif

#ifndef __CCTREECTRL_H__
#include "ccTreeCtrl.h"
#endif

#ifndef __CCGFXSPLITTERWND_H__
#include "ccGFXSplitterWnd.h"
#endif

#ifndef __CCTABCTRL_H__
#include <CCTABCTRL.H>
#endif

#ifndef __CCREGISTRY_H__
#include <ccRegistry.H>
#endif

/*
#ifndef  __CJ60LIB_H__
#include <CJLIBRARY.H>
#endif

*/

#endif // __CCGLIB10_H__