// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__BDA6BFFA_8F41_11D3_8798_000000000000__INCLUDED_)
#define AFX_MAINFRM_H__BDA6BFFA_8F41_11D3_8798_000000000000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "OutputBar.h"
#include "MemoryBar.h"

// class forwards.
class CTabClassDoc;
class CTabResourceDoc;
class CTabFileDoc;

class CMainFrame : public CCJMDIFrameWnd
{
	DECLARE_DYNAMIC(CMainFrame)
public:
	CMainFrame();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CCJStatusBar		m_wndStatusBar;
	CCJToolBar			m_wndToolBar;
	CTabClassDoc*		m_pDocClass;
	CTabResourceDoc*	m_pDocResource;
	CTabFileDoc*		m_pDocFile;
	CCJTabCtrlBar		m_wndWorkspace;
	COutputBar  		m_wndOutput;
	CMemoryBar			m_wndMemory;
	CImageList			m_TabImages;
	BOOL				m_bFlat;
	CCJWindowPlacement	m_state;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnClose();
	afx_msg void OnInitTabClass();
	afx_msg void OnUpdateInitTabClass(CCmdUI* pCmdUI);
	afx_msg void OnInitTabRsrc();
	afx_msg void OnUpdateInitTabRsrc(CCmdUI* pCmdUI);
	afx_msg void OnInitTabFile();
	afx_msg void OnUpdateInitTabFile(CCmdUI* pCmdUI);
	afx_msg void OnToggleflat();
	afx_msg void OnUpdateToggleflat(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__BDA6BFFA_8F41_11D3_8798_000000000000__INCLUDED_)
