// ==========================================================================
//                    Class Specification : CCPOPUPDIALOG
// ==========================================================================
//////////////////////////////////////////////////////////////////////
// $File name   : /ccLib/dev/ccdbLib/CCPOPUPDIALOG.h: 
//
// $Author      : Daniel Lindh (Daniel.Lindh@home.se)
// $HomePage    : home.bip.net/CyberCow
// $ICQ         : 7983755
//
// Notice       : Copyright (c) CyberCow 1999
//                Knypplerskevagen 24
//                168 38 BROMMA
//                SWEDEN  
//                tel int + 46 (8) 26 45 95
//                
//                The copyright to the computer program(s) herein is the 
//				  property of CyberCow.The program(s) may be used and/or 
//				  copied only with the written permission of CyberCow or 
//				  in accordance with the terms and conditions stipulated 
//				  in the agreement/contract under which the program(s) 
//				  have been supplied. 
//
/////////////////////////////////////////////////////////////////////////////
///** $History$ *************************************************************
// *
// * $Date: 10/14/99 20:07 $
// * $Revision: 1 $
// * 
// * *****************  Version 1  *****************
// * User: Daniel Date: 10/14/99 20:07
// * Source-Code Traced [ ]; Reviewd [ ] 
// * Created in $/ccLib/dev/ccdbLib
// * Initial release.
// * 
// **************************************************************************
/////////////////////////////////////////////////////////////////////////////
// ** $Properties$ **********************************************************
// * [X] Abstract class (does not have any objects)
// * [ ] Uses exceptions
// **************************************************************************
/////////////////////////////////////////////////////////////////////////////
/*
$Description : 
	Parent class for popup classes for fileds in the datadictionary.

*/
/////////////////////////////////////////////////////////////////////////////
#ifndef __CCPOPUPDIALOG_H__
#define __CCPOPUPDIALOG_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class AFX_EXT_CLASS ccPopupDialog : public CDialog
{
// *** Construction
public:
	// Default Constructor
	//
	ccPopupDialog(UINT nIDTemplate, CWnd* pParent = NULL);   // standard constructor
	
// *** Dialog Data
	//{{AFX_DATA(ccPopupDialog)
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// *** Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(ccPopupDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

	// Override this and show the selection list with this member.
	//
	virtual void     popup() = 0;

	// Get the selected item from the selection list.
	//
	virtual CString getItem(int liItem) = 0;

// *** Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(ccPopupDialog)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // __CCPOPUPDIALOG_H__
