// ==========================================================================
//                    Class Specification : ccdbDialog
// ==========================================================================
//////////////////////////////////////////////////////////////////////
// $File name   : /ccLib/dev/ccdbLib/ccdbDialog.h: 
//
// $Author      : Daniel Lindh (Daniel.Lindh@home.se)
// $HomePage    : home.bip.net/CyberCow
// $ICQ         : 7983755
//
// Notice       : Copyright (c) CyberCow 1999
//                Knypplerskevagen 24
//                168 38 BROMMA
//                SWEDEN  
//                tel int + 46 (8) 26 45 95
//                
//                The copyright to the computer program(s) herein is the 
//				  property of CyberCow.The program(s) may be used and/or 
//				  copied only with the written permission of CyberCow or 
//				  in accordance with the terms and conditions stipulated 
//				  in the agreement/contract under which the program(s) 
//				  have been supplied. 
//
/////////////////////////////////////////////////////////////////////////////
///** $History$ *************************************************************
// *
// * $Date: 10/14/99 23:09 $
// * $Revision: 1 $
// * 
// * *****************  Version 1  *****************
// * User: Daniel Date: 10/14/99 23:09 $
// * Source-Code Traced [ ]; Reviewd [ ] 
// * Created in $/ccLib/dev/ccdbLib
// * Initial release.
// * 
// **************************************************************************
/////////////////////////////////////////////////////////////////////////////
// ** $Properties$ **********************************************************
// * [X] Abstract class (does not have any objects)
// * [ ] Uses exceptions
// **************************************************************************
/////////////////////////////////////////////////////////////////////////////
/*
$Description : 
	CDialog used when using dataDictionary. Supporting toolbars etc.

*/
/////////////////////////////////////////////////////////////////////////////
#ifndef __CCDBDIALOG_H__
#define __CCDBDIALOG_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ccdbDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// ccdbDialog dialog

#include "resource.h"
#include "ccddCtrlContainer.h"

class AFX_EXT_CLASS ccdbDialog : public CDialog, public ccddCtrlContainer
{
// *** Construction
public:
	virtual void OnOK( );
	virtual void OnCancel( );
	ccdbDialog(UINT nIDTemplate, CWnd * aParent, ccDataBase* aDB);

// *** Dialog Data
	//{{AFX_DATA(ccdbDialog)	
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// *** Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(ccdbDialog)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// *** Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(ccdbDialog)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // __CCDBDIALOG_H__
