//////////////////////////////////////////////////////////////////////
// $File name   : ccdbFormView.cpp
//
// $Author      : Daniel Lindh (Daniel.Lindh@home.se)
// Notice       : Copyright (c) CyberCow 1999
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "ccDataBase.h"
#include "ccdbSuperCtrl.h"
#include "ccdbFormView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// *** Construction
/////////////////////////////////////////////////////////////////////////////

IMPLEMENT_DYNAMIC(ccdbFormView, CFormView)

ccdbFormView::ccdbFormView(UINT nIDTemplate, ccDataBase* aDB )
	: CFormView(nIDTemplate)
{
	setDB( aDB );

	//{{AFX_DATA_INIT(ccdbFormView)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

/////////////////////////////////////////////////////////////////////////////
// *** Overrides
/////////////////////////////////////////////////////////////////////////////

BEGIN_MESSAGE_MAP(ccdbFormView, CFormView)
	//{{AFX_MSG_MAP(ccdbFormView)
	ON_COMMAND(IDDB_CLEAR, OnClear)
	ON_COMMAND(IDDB_DELETE, OnDelete)
	ON_COMMAND(IDDB_FIRST_ITEM, OnFirstItem)
	ON_COMMAND(IDDB_LAST_ITEM, OnLastItem)
	ON_COMMAND(IDDB_NEXT_ITEM, OnNextItem)
	ON_COMMAND(IDDB_PREVIOUS_ITEM, OnPreviousItem)
	ON_COMMAND(IDDB_PROMPT, OnPrompt)
	ON_COMMAND(IDDB_REFRESH, OnRefresh)
	ON_COMMAND(IDDB_SAVE, OnSave)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// *** ccdbFormView diagnostics
/////////////////////////////////////////////////////////////////////////////

#ifdef _DEBUG
void ccdbFormView::AssertValid() const
{
	CFormView::AssertValid();
}

//

void ccdbFormView::Dump(CDumpContext& dc) const
{
	CFormView::Dump(dc);
}
#endif //_DEBUG


