// ==========================================================================
//                    Class Specification : ccdbSuperCtrl_CheckBox
// ==========================================================================
//////////////////////////////////////////////////////////////////////
// $File name   : /ccLib/dev/ccdbLib/ccdbSuperCtrl_CheckBox.h: 
//
// $Author      : Daniel Lindh (Daniel.Lindh@home.se)
// $HomePage    : home.bip.net/CyberCow
// $ICQ         : 7983755
//
// Notice       : Copyright (c) CyberCow 1999
//                Knypplerskevagen 24
//                168 38 BROMMA
//                SWEDEN  
//                tel int + 46 (8) 26 45 95
//                
//                The copyright to the computer program(s) herein is the 
//				  property of CyberCow.The program(s) may be used and/or 
//				  copied only with the written permission of CyberCow or 
//				  in accordance with the terms and conditions stipulated 
//				  in the agreement/contract under which the program(s) 
//				  have been supplied. 
//
/////////////////////////////////////////////////////////////////////////////
///** $History$ *************************************************************
// *
// * $Date: 9/27/99 11:35 $
// * $Revision: 1 $
// * 
// * *****************  Version 1  *****************
// * User: Daniel Date: 9/27/99 11:35
// * Source-Code Traced [ ]; Reviewd [ ] 
// * Created in $/ccLib/dev/ccdbLib
// * Initial release.
// * 
// **************************************************************************
/////////////////////////////////////////////////////////////////////////////
// ** $Properties$ **********************************************************
// * [ ] Abstract class (does not have any objects)
// * [ ] Uses exceptions
// **************************************************************************
/////////////////////////////////////////////////////////////////////////////
/*
$Description : 
	Checkbox ctrl used only by the ccdbSuperCtrl

*/
/////////////////////////////////////////////////////////////////////////////

#ifndef __CCDBSUPERCTRL_CHECKBOX_H__
#define __CCDBSUPERCTRL_CHECKBOX_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class ccdbSuperCtrl_CheckBox : public CButton
{
// *** Construction
public:
	ccdbSuperCtrl_CheckBox();

// *** Destruction
public:
	virtual ~ccdbSuperCtrl_CheckBox();

// *** Overrides
public:
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(ccdbSuperCtrl_CheckBox)
	//}}AFX_VIRTUAL

// *** Generated message map functions
protected:
	//{{AFX_MSG(ccdbSuperCtrl_CheckBox)
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	afx_msg void OnKillFocus(CWnd* pNewWnd);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // __CCDBSUPERCTRL_CHECKBOX_H__
