// ==========================================================================
//                    Class Specification : ccddCtrlContainer
// ==========================================================================
//////////////////////////////////////////////////////////////////////
// $File name   : /ccLib/dev/ccdbLib/ccddCtrlContainer.h: 
//
// $Author      : Daniel Lindh (Daniel.Lindh@home.se)
// $HomePage    : home.bip.net/CyberCow
// $ICQ         : 7983755
//
// Notice       : Copyright (c) CyberCow AB 2000
//                Ekbacksvgen 60
//                168 69 BROMMA
//                SWEDEN  
//                tel int + 46 (8) 555 362 95
//                
//                The copyright to the computer program(s) herein is the 
//				  property of CyberCow.The program(s) may be used and/or 
//				  copied only with the written permission of CyberCow or 
//				  in accordance with the terms and conditions stipulated 
//				  in the agreement/contract under which the program(s) 
//				  have been supplied. 
//
/////////////////////////////////////////////////////////////////////////////
///** $History$ *************************************************************
// *
// * $Date: 3/29/2000 12:04 $
// * $Revision: 1 $
// * 
// * *****************  Version 1  *****************
// * User: Daniel Date: 9/30/99 12:04
// * Source-Code Traced [ ]; Reviewd [ ] 
// * Created in $/ccLib/dev/ccdbLib
// * Initial release.
// * *****************  Version 2  *****************
// * User: Daniel Date: 3/29/2000 11:17
// * Source-Code Traced [ ]; Reviewd [ ] 
// * Created in $/ccLib/dev/ccdbLib
// * Start Adding ADO
// * 
// **************************************************************************
/////////////////////////////////////////////////////////////////////////////
// ** $Properties$ **********************************************************
// * [X] Abstract class (does not have any objects)
// * [ ] Uses exceptions
// **************************************************************************
/////////////////////////////////////////////////////////////////////////////
/*
$Description : 

*/
/////////////////////////////////////////////////////////////////////////////
#ifndef __CCDDCTRLCONTAINER_H__
#define __CCDDCTRLCONTAINER_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class ccDataBase;
class ccDataDictionary;
class ccdbSuperCtrl;
class AFX_EXT_CLASS ccddCtrlContainer  
{
// *** Construction
public:
	//
	//
	ccddCtrlContainer()							{ 	m_dbToolBar = NULL; m_ddServer = NULL; m_firstCtrl = NULL;	};

// *** Destruction
	virtual ~ccddCtrlContainer();


// *** Attributes
public:
	// The datadicionary the saveRecord will be send to.
	//
	void setDDServer( ccDataDictionary * aDD )	{ m_ddServer = aDD;								};
	ccDataDictionary * getDDServer( )			{ ANEEDVALUE( m_ddServer ); return m_ddServer;	};
												  
	// The first ctrl in the focus tree. Or more exact the ctrl the focus 
	// will be set to when clearScreen.
	//
	void setFirstCtrl( ccdbSuperCtrl *aCtrl )	{ m_firstCtrl = aCtrl;							};
	ccdbSuperCtrl * getFirstCtrl()				{ return m_firstCtrl;							}; 

	// 
	//
	void setDB( ccDataBase* aoCCVO)				{ m_DB = aoCCVO;								};
	ccDataBase* __getDB()							{ return m_DB;									}; 

private:
	ccDataDictionary * m_ddServer;		// see setDDServer
	
	ccdbSuperCtrl * m_firstCtrl;		// see setFirstCtrl

	ccDataBase * m_DB;					// see setDB

// *** Implementation
public:
	// Create a tool bar in the mainwnd whith functions for the
	// ccDataDictionary classes.
	//
	void createDBToolBar();	

protected:
	CCJToolBar *m_dbToolBar;

// *** Generated message map functions
public:
	//{{AFX_MSG(ccdbFormView)
	afx_msg void OnClear();
	afx_msg void OnDelete();
	afx_msg void OnFirstItem();
	afx_msg void OnLastItem();
	afx_msg void OnNextItem();
	afx_msg void OnPreviousItem();
	afx_msg void OnPrompt();
	afx_msg void OnRefresh();
	afx_msg void OnSave();
	//}}AFX_MSG

};

#endif // __CCDDCTRLCONTAINER_H__
