// ==========================================================================
//                    Class Specification : ccGFXSplitterWnd
// ==========================================================================
//////////////////////////////////////////////////////////////////////
// $File name   : /ccLib/dev/ccgLib/ccGFXSplitterWnd.h: 
//
// $Author      : Daniel Lindh (Daniel.Lindh@home.se)
// $HomePage    : home.bip.net/CyberCow
// $ICQ         : 7983755
//
// Notice       : Copyright (c) CyberCow AB 2000
//                Ekbacksv. 28
//                168 69 BROMMA
//                SWEDEN  
//                tel int + 46 (8) 555 362 95
//                
//                The copyright to the computer program(s) herein is the 
//				  property of CyberCow.The program(s) may be used and/or 
//				  copied only with the written permission of CyberCow or 
//				  in accordance with the terms and conditions stipulated 
//				  in the agreement/contract under which the program(s) 
//				  have been supplied. 
//
/////////////////////////////////////////////////////////////////////////////
///** $History$ *************************************************************
// *
// * $Date: 3/21/2000 17:35 $
// * $Revision: 1 $
// * 
// * *****************  Version 1  *****************
// * User: Daniel Date: 3/21/2000 17:35 $
// * Source-Code Traced [ ]; Reviewd [ ] 
// * Created in $/ccLib/dev/ccgLib
// * Initial release.
// * 
// **************************************************************************
/////////////////////////////////////////////////////////////////////////////
// ** $Properties$ **********************************************************
// * [ ] Abstract class (does not have any objects)
// * [ ] Uses exceptions
// **************************************************************************
/////////////////////////////////////////////////////////////////////////////
/*
$Description : 
	I think this is a copy of the CCJGFXSplitterWnd but this is dervied
	from CCJFlatSplitterWnd instead of CSplitterWnd

*/
/////////////////////////////////////////////////////////////////////////////
#ifndef __CCGFXSPLITTERWND_H__
#define __CCGFXSPLITTERWND_H__

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class AFX_EXT_CLASS ccGFXSplitterWnd : public CCJFlatSplitterWnd
{
// *** Construction/Destruction
public:
	// Default constructor
	//
	ccGFXSplitterWnd();

	// Default Destructor
	//
	virtual ~ccGFXSplitterWnd();

// *** Attributes
private:
	int m_upBorder;
	bool bWhiteLine;

// *** Override
public:
	virtual void OnDrawSplitter(CDC* pDC, ESplitType nType, const CRect& rectArg);	
	virtual void OnInvertTracker(const CRect & rect);
	virtual void RecalcLayout();

protected:
	virtual void GetInsideRect(CRect& rect) const;


// *** Generated message map functions
protected:
	//{{AFX_MSG(ccGFXSplitterWnd)
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

// *** Global Functions
static void AFXAPI DeferClientPos(AFX_SIZEPARENTPARAMS* lpLayout,
	CWnd* pWnd, int x, int y, int cx, int cy, BOOL bScrollBar);

static void AFXAPI LayoutRowCol(CSplitterWnd::CRowColInfo* pInfoArray,
	int nMax, int nSize, int nSizeSplitter);




#endif // __CCGFXSPLITTERWND_H__
