//////////////////////////////////////////////////////////////////////
// $File name   : ccString.cpp: 
//
// $Author      : Daniel Lindh (Daniel.Lindh@home.se)
// Notice       : Copyright (c) CyberCow 1999
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "ccString.h"
#include "ccTime.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction
//////////////////////////////////////////////////////////////////////

ccString::ccString()
{
}

//

ccString::ccString(int aiNumber)
{
	Format("%d", aiNumber);   	
}

//

ccString::ccString(UINT aiNumber)
{	
	_ui64toa( aiNumber, GetBuffer( 50 ), 10);
	ReleaseBuffer();		
}

//////////////////////////////////////////////////////////////////////
// Destruction
//////////////////////////////////////////////////////////////////////

ccString::~ccString()
{

}

//////////////////////////////////////////////////////////////////////
// Input/Output
//////////////////////////////////////////////////////////////////////

CString& ccString::operator =(int aiNumber)
{
	Format("%d", aiNumber);   
	return *this;
}

//

ccString::operator int()
{
	NEEDLESS( atoi(*this), 4294967296 );
	
	int liInt = 0;
	liInt = atoi(*this);
	return liInt;
}

//////////////////////////////////////////////////////////////////////
// *** Operator <<
//////////////////////////////////////////////////////////////////////

ccString& ccString::operator << ( int n )	
{ 
	ccString lsInt( n);

	*this += lsInt;
	return *this;
}


//

ccString& ccString::operator << ( char c )
{ 											
	ccString str( c);

	*this += str;
	return *this;
}

//

ccString& ccString::operator << ( DWORD dw )	
{	
	ccString str( (int) dw);
	
	*this += str;
	return *this;
}

//

ccString& ccString::operator << ( char * c )
{ 					
	ccString str( c);	

	*this += str;
	return *this;
}

//

ccString& ccString::operator << ( const char * c )
{ 											
	ccString str( c);	

	*this += str;
	return *this;
}

//

ccString& ccString::operator << ( UINT n )
{ 
	ccString lsInt( n);

	*this += lsInt;
	return *this;
}

//

ccString& ccString::operator << ( ccTime tm )
{ 
	*this += tm.getDateTime();
	return *this;
}

//

ccString& ccString::operator << ( CString &c )
{
	*this += c;
	return *this;
}